Bug 134250 - CRASH: undoing table paste
Summary: CRASH: undoing table paste
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:6.4.7 target:7.0....
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-06-23 09:12 UTC by Xisco Faulí
Modified: 2020-08-03 07:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (107.82 KB, application/vnd.oasis.opendocument.text)
2020-06-23 09:12 UTC, Xisco Faulí
Details
another file affected by this issue (16.89 KB, application/vnd.oasis.opendocument.text)
2020-06-24 15:42 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-06-23 09:12:44 UTC
Created attachment 162336 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Select all three times
3. Copy
4. Paste
5. Undo

-> Crash

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 70479e1f4cb3c120f46239a648e65f035af2922d
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-06-23 09:14:37 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=57d488660572d62ef0371e50dcdd4ca7a6d98a14

author	Michael Stahl <Michael.Stahl@cib.de>	2020-06-18 18:32:24 +0200
committer	Michael Stahl <michael.stahl@cib.de>	2020-06-18 20:18:00 +0200
commit	57d488660572d62ef0371e50dcdd4ca7a6d98a14 (patch)
tree	694e7163397de1a4f8364a0ac6ba181e9ddadda5
parent	5d836621326c68decaae09f1911d2d036a251b43 (diff)
tdf#133990 sw_redlinehide: fix Undo with section before table

Bisected with: bibisect-linux64-7.1

Adding Cc: to Michael Stahl
Comment 2 Xisco Faulí 2020-06-24 15:42:00 UTC
Created attachment 162377 [details]
another file affected by this issue
Comment 3 Commit Notification 2020-07-29 08:34:52 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8ec8da5638ab465e69900a08067ad496bcb5d3d5

tdf#134250 sw_redlinehide: fix copy non-empty node before non-textnode

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-07-29 08:35:01 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/27613259990d39d34b036b3d717d3ceaf5c15e65

tdf#134250 sw_redlinehide: fix Undo with section before table

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-07-29 19:51:16 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/50ceac91a4ac2057847e7d9807f5cb614e6ff755

tdf#134250 add unit test

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Stahl (CIB) 2020-07-30 10:37:32 UTC
fixed on master
Comment 7 Xisco Faulí 2020-07-30 11:51:43 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 231e1e416c039d1f9724962a89cf0573a3db48a2
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!
Comment 8 Commit Notification 2020-07-30 19:24:44 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/2deb30593b382e3780c76dcf9fb4dc8855aefde3

tdf#134250 sw_redlinehide: fix copy non-empty node before non-textnode

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-07-30 19:24:59 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/c2ed2045f1d09e501306e6e2fe77b67917100ac6

tdf#134250 sw_redlinehide: fix Undo with section before table

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-07-30 19:26:26 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/6319847c3ec3facea6aaeaf065337f2592511b67

tdf#134250 sw_redlinehide: fix copy non-empty node before non-textnode

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-07-30 19:26:36 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/dc3ecc61722933c4be3717ab65479fe7d60215a6

tdf#134250 sw_redlinehide: fix Undo with section before table

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-08-03 07:34:57 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-6":

https://git.libreoffice.org/core/commit/6e6ebb3ef2e99c4ad56dc2feafc1fd3da3274ade

tdf#134250 sw_redlinehide: fix Undo with section before table

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2020-08-03 07:37:20 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-6":

https://git.libreoffice.org/core/commit/d4f319edd7ecc9d59cd561e1296e68ee66b1c0bc

tdf#134250 sw_redlinehide: fix copy non-empty node before non-textnode

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.